<div class="col-md-12">

  <div tabindex="-1" role="dialog">

    <form [formGroup]="addQuizForm" (ngSubmit)="onSubmitQuiz()">


      <div class="modal-dialog" role="document" style="max-width: 2000px;margin:3.4% 0;">
        <div class="modal-content" style="background-color:lightgray">
          <div class="modal-header">
            <table style="width: 100%">
              <tr>
                <th>
                  <h5 style="margin-bottom: 1%;">
                    Title</h5>
                </th>
              </tr>
              <tr>
                <td>

                  <input   [value]="createQuizData[0].title"  formControlName="title" class="form-control" type="text" style="width: 100%">
                </td>
              </tr>
            </table>

          </div>
          <div class="modal-body">

            <div>
              <div style="padding-bottom: 1%;">
                <table style="width: 100%">
                  <tr>
                    <th>
                      <h5 style="margin-bottom: 1%;">
                        Description</h5>
                    </th>
                  </tr>
                  <tr>
                    <td>
                      <textarea [value]="createQuizData[0].description" formControlName="description" class="form-control" cols="40" rows="4"></textarea>
                    </td>
                  </tr>
                </table>

              </div>


            </div>
            <div class="modal-footer" style="display:none"></div>

          </div>
        </div>
      </div>
    </form>
    <div>
      <div *ngFor="let question of createQuizData[0].questions; let i = index"
        style="background-color: lightgray;min-height: 90px;margin:3.4% 0;border-radius: 5px">
        <div>
          <div>
            <button class="btn btn-primary"
              style="float: right;margin-top: 2%;margin-right: 2%;background-color: rgb(16, 196, 16);border-color: rgb(16, 196, 16);"
              (click)="routeToEdit(i)">Edit</button>
            <a>
              <button class="btn btn-primary"
                style="float: right;margin-top: 2%;margin-right: 2%;background-color: orange;border-color: orange"
                (click)="deleteQuestion(i)">Delete</button>
            </a>
            <p style="float: right;margin-right: 2%;padding-top: 2.5%"> Time Limit:
              <span>{{createQuizData[0].questions[i].time_limit}}</span> sec</p>
          </div>

          <div>
            <h1 style="margin-left: 3%;padding-top: 2%;position: absolute">{{i + 1}}</h1>
          </div>
          <div style="border-left:1px solid black; height:90px;width: 5px;margin-left: 7%;position: absolute">
          </div>

        </div>
        <div style="margin-left: 10%;padding-top: 3%">

          <p style="width:50%  ;word-wrap: break-word;">{{createQuizData[0].questions[i].question_string}}</p>
        </div>
      </div>
    </div>




    <div>
      <button class="btn btn-primary" style="width: 100%;border-radius:20px;height: 50px; margin-bottom: 3.4%"
        (click)="routeToQuestion()">
        Add Question
      </button>
      <form [formGroup]="addQuizForm" (ngSubmit)="onSubmitQuiz()">
      <button class="btn btn-primary" type="submit"
        style="width: 100%;border-radius:20px;height: 50px;background-color: rgb(170, 5, 5);border-color: rgb(170, 5, 5);margin-bottom: 3.4%">
        Done
      </button>
    </form>
    </div>



  </div>
